%define pkg_name        URI-Fetch
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.7

Summary:       Smart URI fetching/caching
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BT/BTROTT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(LWP)
BuildRequires: perl(Storable)
BuildRequires: perl(URI)
%endif


%description
This is URI::Fetch, a class to intelligently fetch syndication feeds.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build -- --skipdeps}
# needs viable internet connection
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.08

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 0.07_1-1.n0i.6.0.071
- version 0.071

* Tue Jun 20 2006 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.5
- version 0.07

* Mon Apr 10 2006 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.4
- version 0.06

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.3
- version 0.05

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.2
- version 0.04

* Wed Aug 17 2005 Marius Feraru <altblue@n0i.net> 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
